<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <title>Local Power Manager Release Notes</title>
    <!-- For now, we use the doxygen style sheet -->
  <link type="text/css" rel="stylesheet" href="../docs/html/doxygen.css">
</head>
<body>
<table width="100%">
  <tbody>
    <tr>
      <td bgcolor="black" width="1">
        <a href="http://www.ti.com">
          <img border=0 src="../docs/html/tilogo.gif" alt="Texas Instruments">
        </a>
      </td>
      <td bgcolor="red">
        <img src="../docs/html/titagline.gif" alt="Technology for Innovators(tm)">
      </td>
    </tr>
  </tbody>
</table>

<h1>Local Power Manager Release Notes</h1>
<h2 align="center">April 9, 2007</h2>

<p>
This Local Power Manager Release is targetted to the DaVinci platforms,
enabling users to power on/off the DSP Power Domain.
</p>

<hr>

<h2>General Information</h2>
<p>
This LPM release consists of the following packages:
</p>
<ul>
    <li>
        <b><tt>ti.bios.power</tt></b> - Local Power Manager
    </li>
</ul>

<hr>

<h2>Documentation</h2>
<p>
The following documentation is available:
</p>
<ul>
  <li>LPM API Reference Guide (HTML | CHM)</li>
  <li>A description of all the packages
  in this product.</li>
</ul>
<p>
Release notes from previous releases are also available in the
relnotes archive directory.
</p>

<hr>

<h2>What's New</h2>
<p>
The following significant changes have been made since 1.00
</p>

<div class="memitem">
<h3>1.10 (This Release)</h3>
<ul>
  <li>Added device specific modules for configuring GPP and DSP programs.</li>
  <li>Supports DSP/BIOS Link 1.40.03 release</li>
  <li>New configuration parameter to control VICP power-on state</li>
</ul>
</div>

<br />

<div class="memitem">
<h3>1.00</h3>
<ul>
  <li>Unofficial release of LPM 1.00.</li>
</ul>
</div>

<hr>

<h2>Compatibility Information</h2>
<ul>
  <li>
    <b><tt>ti.bios.power</tt></b> - This package is source compatible
    with the previous release. (Compatibility key: 1,0,0 ->
    1,<font color='red'><b>1</b></font>,0)
  </li>
</ul>

<h3>Compatibility Key Definitions</h3>
<p>
Compatibility keys are intentionally independent of marketing product
numbers and are intended to:
<ol>
  <li>Enable tooling to identify incompatibilities between components,
  and</li>
  <li>Convey a level of compatibility between different releases to
  set end user expectations.</li>
</ol>
</p>

<p>
Compatibility keys are composed of 3 comma-delimited numbers - M,S,R
- where:
<ul>
  <li><b>M = Major</b>. A difference in M indicates a break in
  compatibility.</li>
  <li><b>S = Source</b>. A difference in S indicates source
  compability. That is, the user's source doesn't require change, but
  <i>does</i> require rebuilding.</li>
  <li><b>R = Radix</b>. A difference in R indicates an introduction
  of new features, but compatibility with previous interfaces has not
  broken. If libraries are provided by the package, an application
  must re-link with the new libraries, but not rebuild from source.</li>
</ul>
</p>

<hr>

<h2><a name="Version">Version Information</a></h2>
<p>
This product's version follows a version format, <b>M.mm.pp.bb</b>,
where <b>M</b> is a single digit Major number, <b>mm</b> is 2 digit
minor number, <b>pp</b> is a 2 digit patch number, and <b>b</b> is an
unrestricted set of digits used as an incrementing build counter.
</p>

<p>
To support multiple side-by-side installations of the product, the
product version is encoded in the top level directory, for example
<b>local_power_manager_1_10</b>.
</p>

<p>
Subsequent releases of patch upgrades will be identified by the patch number,
for example LPM 1.10.01 with directory <b>local_power_manager_1_10_01</b>.
Typically, these patches only include critical bug fixes.
</p>

<hr>

<p>
Last updated: April 9, 2007
</p>

</body>
</html>
